<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'gateway_management';
$app['version'] = '2.0.9';
$app['release'] = '1';
$app['vendor'] = 'ClearCenter';
$app['packager'] = 'Roger Peters';
$app['license'] = 'All rights reserved';
$app['license_core'] = 'All rights reserved';
$app['description'] = lang('gateway_management_app_description');
$app['menu_enabled'] = FALSE;

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('gateway_management_app_name');
$app['category'] = lang('base_category_gateway');
$app['subcategory'] = lang('base_subcategory_filtering');

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['core_requires'] = array(
    'dnsthingy >= 2.2',
    'dnsmasq >= 2.67'
);

$app['core_directory_manifest'] = array(
    '/etc/dnsthingy' => array()
);

$app['core_file_manifest'] = array(
    'daemon-mgr.php' => array('target' => '/var/clearos/base/daemon/dnsthingymgr.php'),
    'daemon-ipe.php' => array('target' => '/var/clearos/base/daemon/dnsthingyipe.php'),
    'cert.pem' => array('target' => '/etc/dnsthingy/cert.pem'),
    'status' => array('target' => '/etc/dnsthingy/status', 'mode' => '0755'),
    'firewall-rules' => array('target' => '/etc/clearos/firewall.d/10-dnsthingy'),
    'clearsync-firewall.conf' => array('target' => '/etc/clearsync.d/filewatch-dnsthingy-firewall.conf'),
    'clearsync-network.conf' => array('target' => '/etc/clearsync.d/filewatch-dnsthingy-network.conf')
);

$app['delete_dependency'] = array(
    'app-gateway-management-core',
    'dnsthingy'
);
