<?php

$lang['gateway_management_app_name'] = 'Gateway Management';
$lang['gateway_management_app_description'] = 'Control your Internet. Get everything you want and nothing you don\'t. Uses mostly DNS-based answers to block unwanted content such as pornography, identity theft, phishing, ads, behavioral profiling, content marketers, etc. Access geo-blocked content from other countries.';
$lang['gateway_management_infobox_title'] = 'Gateway Management Control Panel';

// General
$lang['gateway_management_info'] = 'Information';
$lang['gateway_management_box_id'] = 'Box ID';

// Messages
$lang['gateway_management_standalone_title'] = 'Not in Gateway Mode';
$lang['gateway_management_standalone_msg'] = 'ClearOS is not in gateway mode. Some features, including forced Gateway Management use, are not available.';
$lang['gateway_management_internal_dns_title'] = 'Internal DNS Configured';
$lang['gateway_management_internal_dns_msg'] = 'ClearOS is configured with DNS on the LAN. That server will not be protected.';
$lang['gateway_management_not_installed'] = 'Not installed';
$lang['gateway_management_firewall_error'] = 'The firewall configuration has been updated.';
$lang['gateway_management_dnsmasq_not_running'] = 'dnsmasq was not running. Attempted to start it.';
$lang['gateway_management_dnsthingymgr_not_running'] = 'The Gateway Management was not running. Attempted to start it.';
$lang['gateway_management_dnsthingyipe_not_running'] = 'The Gateway Management IP enforcement server was not running. Attempted to start it.';
$lang['gateway_management_dnsmasq_boot_not_set'] = 'dnsmasq was not set to start at boot. The issue has been corrected.';
$lang['gateway_management_dnsthingymgr_boot_not_set'] = 'The Gateway Management was not set to start at boot. The issue has been corrected.';
$lang['gateway_management_dnsthingyipe_boot_not_set'] = 'The Gateway Management IP enforcement server was not set to start at boot. The issue has been corrected.';
$lang['gateway_management_hosts_not_configured'] = 'The hosts file was not setup properly.';
$lang['gateway_management_local_hosts_file_not_set'] = 'The local hosts file was not setup properly. This may have caused error messages on startup.';
$lang['gateway_management_check_alive_not_found'] = 'The check alive script is missing.';
$lang['gateway_management_check_alive_not_executable'] = 'The check alive script is not executable.';
$lang['gateway_management_check_cron_not_found'] = 'The check alive script was not setup to run. The issue has been fixed.';
$lang['gateway_management_suggest_ip_failed'] = 'Failed to find a usable IP.';

// Home
$lang['gateway_management_checking'] = 'Checking account status...';
$lang['gateway_management_log_in'] = 'Log in to the dashboard';

// Disabled notice
$lang['gateway_management_disabled_title'] = 'Gateway Management is disabled';
$lang['gateway_management_disabled_text'] = 'Activate it below.';

// Setup form
$lang['gateway_management_enabled'] = 'Enabled';
$lang['gateway_management_enabled_invalid'] = 'Invalid option.';
$lang['gateway_management_blockpage_ip'] = 'Block Page IP';
$lang['gateway_management_blockpage_ip_invalid_ip'] = 'IP is invalid.';
$lang['gateway_management_blockpage_ip_in_use'] = 'IP is already in use.';
$lang['gateway_management_blockpage_ip_wrong_subnet'] = 'IP must be on the same subnet as a LAN interface.';
$lang['gateway_management_blockpage_ip_in_dhcp_range'] = 'IP must be outside DHCP range.';
$lang['gateway_management_blockpage_ip_available'] = 'IP is available.';
$lang['gateway_management_blockpage_ip_not_private'] = 'IP is not a private IP.';
$lang['gateway_management_blockpage_ip_autoupdated'] = 'Block page IP was automatically updated.';

// config errors
$lang['gateway_management_cfg_err'] = ' was changed in the config for ';

// AJAX responses
$lang['gateway_management_sub_status_0'] = 'OK';
$lang['gateway_management_sub_status_1'] = 'General error';
$lang['gateway_management_sub_status_2'] = 'No such method';
$lang['gateway_management_sub_status_3'] = 'Device not registered';
$lang['gateway_management_sub_status_4'] = 'Invalid data';
$lang['gateway_management_sub_status_5'] = 'No license found';
$lang['gateway_management_sub_status_6'] = 'Invalid API Key';
